%%%%%%%% GRAPH MODELS FOR REDUCTION


%--------SECTION
\section{Discrete Fracture Networks as Graphs}

%%%%%%%% FRAME 
\begin{frame}{\normalsize Graphs are a Cheaper Alternative for DFN Modeling}

%%%%%%%%%%%%%%%%% ITEMIZE
\begin{itemize}
%%%%%%
\item  Problem: 3D Meshes are expensive \vspace{.75cm}\\
Solution: Graphs are significantly cheaper to create - \textbf{mesh-free.} \vspace{0.74cm}
%%%%%%	
\item Problem: Thousands of runs required for UQ \vspace{0.74cm}\\
Solution: Graphs require under a minute to run and create an ensemble of 1000s of simulations.
%%%%%%
\end{itemize}
%%%%%%%%%%%%%%%%% ITEMIZE

\end{frame}
%%%%%%%% END FRAME



%%%%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%% FRAME 
\begin{frame}{\normalsize DFNs are Represented by Graphs Where Vertices are Fracture Intersections and Edges Are Pathways Between Intersections}
%%%%%%%%%%%%%%%%% Figure
\vspace{-25pt}
\begin{figure}[ht]%
    \centering
    %%%%%%%%%%%%%%%%% SubFigure
    \subfloat[ %\scriptsize 
    %
    Six fracture network with accompanying graph equivalent (overlaid). 
    %
    Large black lines represent inlet and outlet boundaries.]{\includegraphics[width=5.25cm]{figures/lopez_DFN_and_graph} }%
    \qquad
    \hspace{5pt}
    %%%%%%%%%%%%%%%%% SubFigure
    \subfloat[%\scriptsize 
    %
    Graph $G$ shows internal nodes as \textcolor{red}{red} and boundary nodes as \textcolor{green}{green}. 
    %
    Edges are represented with $e_i 's$]{\includegraphics[width=5.25cm]{figures/lopez_frac_network_sample_graph.pdf} }%
    \vspace{-0.25cm}
    %%%%%%%%%%%%%%%%% CAPTION
    \caption{ %\scriptsize 
    A simple DFN composed of 6 fractures, 2 outlet boundaries, and 1 inlet boundary and its graph equivalent. 
    %
    Graphs are the central vehicle for the computation reduction and manipulation of large-scale fracture networks.}%
    \label{fig:DFN and graph equivalent}%
\end{figure}
%%%%%%%%%%%%%%%%% Figure

\end{frame}
%%%%%%%% END FRAME 


%%%%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%% FRAME 
\begin{frame}{\normalsize To Produce Results on Graphs Relevant PDE Flow Equations Are Translating Using Mass Conservation and Darcy's Law}

%%%%%%%%%%%%%%%%% Itemize	
\begin{itemize}
%\scriptsize
\raggedright
%
\item 3D PDE mode derives from Navier Stokes and Divergence-free condition: 
%
%EQUATION
\begin{align} 
%
\Aboxed{
%%
\frac{\partial \vec{u}}{\partial t} + (\vec{u} \cdot \nabla) \vec{u} = \vec{f} - \frac{1}{\rho} \nabla p + \frac{\mu}{\rho}\nabla^2 \vec{u},  \ \ 
%%
\nabla \cdot (\rho \vec{u}(\vec{x}))=0 \longrightarrow
%%
\nabla \cdot (-\rho k(\vec{x})\nabla(p(\vec{x})))=0
} \nonumber
%%
%\label{eq: steady state forward problem}
\end{align}
%EQUATION
%
\\ $\textcolor{red}{Q_{ij}}$: is the mass flux at node $v_i$ from node $v_j$.
%-----------------Figure
\begin{figure}
%-----------------Minipage
\begin{minipage}{.30\textwidth}
\fbox{\includegraphics[width=0.5\textwidth]{figures/conservation_mass_graphs.pdf}}
\end{minipage}
%
\hspace{-1cm}
%-----------------Minipage
\begin{minipage}{.3\textwidth}
%-----------------CAPTION
\caption{ %\scriptsize 
%
Node $v_i$ is connected to nodes $v_{j_1}$, $v_{j_2}$, $v_{j_3}$, and $v_{j_4}$, with flow characterized by between the respective connections by $\textcolor{red}{Q_{ij_k}}$.}
%-----------------Minipage
\end{minipage}
% \hspace{-16pt}
% \label{fig: fracture_network_sample_massconserv}
%
\end{figure}
%-----------------Figure
%
\item Network model is a discrete mass balance equation. Conservation of mass at each node is used. \vspace{-.25cm}
%
%EQUATION
\begin{align} 
%
\Aboxed{ \sum_{j=1}^n Q_{ij} = 0}\nonumber
%
\label{eq: conservation of mass graph}
\end{align}
%EQUATION
%
\end{itemize}
%%%%%%%%%%%%%%%%% Itemize

\end{frame}
%%%%%%%% END FRAME 
 

%
%%%%%%%%% FRAME IMAGES BEGINNING FRACTURE MODELS
%\begin{frame}{\normalsize Discrete Fracture Networks (DFNs) for Stochastic Generation of Idealized Fractures}
%\vspace{-1cm}	
%
%%%%%%%%%%%%%%%%%% IMAGE OF STARTING FRACTURE MODELS
%%long_model_1985-circular-disk-fractures
%%maryska_numerical_2005-fractures-disks-model
%%maryska_numerical_2005-triangular-simplification
%%%%%%%%%%%%%%%% 
%\begin{columns}
%%%%%%%%%%%%%%%% COL 1
%    \begin{column}{0.32\textwidth}
%        %Content
%        \begin{figure}[th!]
%        \centering
%        \includegraphics[width=.85\linewidth]{figures/long_model_1985-circular-disk-fractures}
%   		\caption{\label{fig_circular-disk-fractures_long_model_1985} 
%%
%Discrete fractures as disk-shaped wedges in surrounding impermeable matrix. Flow calculations were done using Darcy's law. 
%%
%Intersections between disks occur orthogonally. 
%%
%The disks were randomly populated and have lognormally distributed radii. 
%%
%A mixed analytical-numerical method is used to calculate steady state flow through the discrete fracture network. 
%%%%%%%%%%%CREDIT%%%%%%%%%%
%\textit{Long} \cite{long_model_1985}.}
%        \end{figure}
%    \end{column}
%%%%%%%%%%%%%%%% COL 2
%    \begin{column}{0.32\textwidth}
%     %Content
%     \begin{figure}[th!]
%        \centering
%        \includegraphics[width=.85\linewidth]{figures/maryska_numerical_2005-fractures-disks-model}
%   		\caption{ Circular fractures approximating a real discrete fracture network in.
%%
%Circular centers (fracture locations), radii, orientation, and fracture apertures are statistically generated. The domain is 5 x 5 x 8 meter rectangular prism.
%%%%%%%%%%%CREDIT%%%%%%%%%%
%\textit{Maryska, Severyn, and  Vohralik} \cite{maryska_numerical_2005} }
%     \end{figure}   
%    \end{column}
%%%%%%%%%%%%%%%% COL 3
%    \begin{column}{0.32\textwidth}
%    %Content
%    \begin{figure}[th!]
%%        \centering
%        \includegraphics[width=.85\linewidth]{figures/maryska_numerical_2005-triangular-simplification}
%   		\caption{shows the circular disks discretized as triangles using a Raviart-Thomas mixed finite element method.
%%
%A velocity field is calculated using Darcy flow and mass conservation.
%%
%This construction was applied to a real fracture network inside a bore hole from a testing site in Potucky, Western Bohemia with good results. 
%%%%%%%%% CREDIT %%%%%%%%
%\textit{Maryska, Severyn, and  Vohralik} \cite{maryska_numerical_2005}}
%     \end{figure}
%    \end{column}
%\end{columns}
%%\vspace{-0.85cm}
%\end{frame}
%%%%%%%%% FRAME IMAGES BEGINNING FRACTURE MODELS
%
%
%%%%%%%%% FRAME IMAGES HIGH FI FRACTURE MODELS
%\begin{frame}{\normalsize Discrete Fracture Networks (DFNs) for Stochastic Generation of Idealized Fractures}
%\vspace{-1cm}	
%
%%%%%%%%%%%%%%%%%% IMAGE OF STARTING FRACTURE MODELS
%%hyman_conforming_2014-1-FRAM_frac_generation-2014
%%omalley_efficient_2018-DFN_realization
%%%%%%%%%%%%%%%% 
%\begin{columns}
%%%%%%%%%%%%%%%% COL 1
%    \begin{column}{0.40\textwidth}
%        %Content
%        \begin{figure}[th!]
%        \centering
%        \includegraphics[width=.85\linewidth]{figures/hyman_conforming_2014-1-FRAM_frac_generation-2014}
%   		\caption{
%%\label{fig_FRAM_delaunay_triangulation_DFN_hyman_conforming_2014}
%DFN of 6697 polygons, length scale $h=1m$ in $1km^3$ domain generated using FRAM \cite{hyman_conforming_2014}.
%%
%Colors correspond to fracture transmissivity, which is positively correlated to fracture radius by construction. 
%%%%%%%%%%% CREDIT 
%\textit{Hyman, J.D. et. al.} \cite{hyman_conforming_2014-1}.}
%        \end{figure}
%    \end{column}
%%%%%%%%%%%%%%%% COL 2
%    \begin{column}{0.40\textwidth}
%     %Content
%     \begin{figure}[th!]
%        \centering
%        \includegraphics[width=.85\linewidth]{figures/omalley_efficient_2018-DFN_realization}
%   		\caption{Realization of a meshed, high-fidelity discrete fracture network created with dfnWorks \cite{hyman_dfnworks_2015}.
%%
%Darker hues of blue correspond to more conducive fractures. 
%% 
%Los Alamos Grid Tool Box (LaGriT) meshes each virtual fracture to create numerical PDE solution.
%%%%%%%%%%%CREDIT%%%%%%%%%%
%\textit{Hyman et. al., O'Malley et. al.} \cite{hyman_dfnworks_2015, omalley_efficient_2018} }
%     \end{figure}   
%    \end{column}
%\end{columns}
%%\vspace{-0.85cm}
%%%%%%%%% FRAME IMAGES BEGINNING FRACTURE MODELS
%
%%%%%%%%%%%% NEW LIST %%%%%%%%%%
%%\begin{itemize}
%%%
%%\item Discretization, meshing $\rightarrow$ solving for 
%%%
%%\item Transport calculations for trajectories, breakthrough timings and passage times (first/peak).
%%%
%%\end{itemize}
%%%%%%%%%%%% NEW LIST %%%%%%%%%%
%	
%\end{frame}
%%%%%%%%% FRAME IMAGES HIGH FI FRACTURE MODELS
%
%
%
%%%%%%%%% FRAME LIQUID PRESSURE AND TRANSPORT PARTICLE SIMULATIONS
%\begin{frame}{\normalsize DFNS Numerically Solved for Pressure and Particle Transport Trajectories}
%\vspace{-1cm}	
%
%%%%%%%%%%%%%%%%%% IMAGE OF STARTING FRACTURE MODELS
%%hyman_dfnworks_2015-fracture-liquid-pressure-particletracking
%%%%%%%%%%%%%%%% 
%%\begin{columns}
%%%%%%%%%%%%%%%% COL 1
%%    \begin{column}{0.40\textwidth}
%        %Content
%\begin{figure}[th!]
%        \centering
%        \includegraphics[width=.80\linewidth]{figures/hyman_dfnworks_2015-fracture-liquid-pressure-particletracking}
%   		\caption{%\label{fig_liquid_pressure_DFN_particle_trajectories_hyman_dfnworks_2015} 
%%
%Left: Pressure solution with 1MPa and 2MPa boundary conditions applied to the top and bottom of a $1km^3$ cubic region with 4934 fractures.
%%
%Right: trajectory of 200 particles released from uniformly located positions at the lower boundary.
%%
%Results show particles are uniformly distributed at the boundary. 
%%
%Even if particles were uniformly distributed at a boundary, they tended to magnetize to fractures with the highest permeability.
%%
%Breakthrough curves modeling proportion of particles at a certain arrival time calculated using particle trajectory times. 
%\textit{Hyman et. al.} \cite{hyman_dfnworks_2015}.}
%\end{figure}
%
%\end{frame}
%%%%%%%%% FRAME LIQUID PRESSURE AND TRANSPORT PARTICLE SIMULATIONS
%
%
%%%%%%%%% FRAME OBSTACLES OF HIGH FIDELITY NETWORKS
%\begin{frame}{\normalsize DFNS Numerically Solved for Pressure and Particle Transport Trajectories}
%\vspace{-1cm}	
%
%%%%%%%%%%%%%%%%%% IMAGE OF STARTING FRACTURE MODELS
%%hyman_conforming_2014-1-FRAM_frac_generation-2014
%%omalley_efficient_2018-DFN_realization
%%%%%%%%%%%%%%%% 
%\begin{columns}
%%%%%%%%%%%%%%% COL 1
%\begin{column}{0.47\textwidth}
%%Content
%%%%%%%%%%% NEW LIST %%%%%%%%%%
%\begin{itemize}
%%
%\item Modeling 3D DFNs is expensive $\sim$ 30 Minutes per DFN \cite{viswanathan_advancing_2018}.
%%
%\item Prohibitive for uncertainty quantification, where ensembles need 1000s of runs.
%%
%\item Graphs are used as a simpler model for reduced computations \cite{karra_modeling_2018}. 
%%
%\item \textcolor{red}{3D Pde Fluid Model $\rightarrow$ Linear System of ODEs}
%%
%\item Graph results produce a good start, and optimization improves their accuracy for observed pressures.
%\end{itemize}
%%%%%%%%%%% NEW LIST %%%%%%%%%%
%    \end{column}
%%%%%%%%%%%%%%% COL 2
%    \begin{column}{0.50\textwidth}
%        %Content
%\begin{figure}[th!]
%        \centering
%        \includegraphics[width=.80\linewidth]{figures/omalley_efficient_2018-DFN_realization}
%   		\caption{%\label{fig_liquid_pressure_DFN_particle_trajectories_hyman_dfnworks_2015} 
%%
%\textit{Hyman et. al.} \cite{hyman_dfnworks_2015}.}
%\end{figure}
%\end{column}
%\end{columns}
%
%\end{frame}
%%%%%%%%% FRAME OBSTACLES OF HIGH FIDELITY NETWORKS